Bug 123022 - AutoCorrect: Improve existing (German) abbreviations in AutoCorrect options (see comment 5)
Summary: AutoCorrect: Improve existing (German) abbreviations in AutoCorrect options (...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
6.1.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2019-01-28 18:17 UTC by Jens Radloff
Modified: 2019-02-01 05:18 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Radloff 2019-01-28 18:17:04 UTC
In menu Tools > Autocorrect > AutoCorrect options > Exceptions I want to replace the German abbreviation "z.B." (which is shown there in the list of abbreviations) with "z. B." - please note the space character between "z." and "B."; the abbrevation "z.B." in the list of exceptions has no space character in between, and this kind of spelling is wrong.

If I type "z. B." (with the space character in between) in Tools > Autocorrect > AutoCorrect options > Exceptions into the "Abbreviations (no subsequent Capital)" field, then the "New" button is inactive, so I cannot define "z. B." as a new abbreviation.

If I delete the abbrevation "z.B." (without the space character in between) in the list of abbreviations, the "New" button gets activated. If I then define "z. B." (with the space character in between) using the "New" button, a new abbreviation gets added to the list of abbreviations, but not the abbreviation "z. B." (with the space character in between), but again "z.B." (without the space character in between".

So I am not able to define the abbreviation "z. B." (with the space character in between) in this list.

I tried to correct the content of the file /opt/libreoffice6.1/share/autocorr/acor_de.dat, but this file appears to be a binary file, which I cannot edit.

Currently I am using the extension "Deutsche (DE_frami) Rechtschreibung, Trennung, Thesaurus 2017 01.12" (a DE-German dictionary), but the behaviour described above also occurs if I uninstall this extension via the Extension Manager.

Restarting LO Writer in Safe Mode does not resolve this behaviour, too.

Please note that officially, the spelling "z.B." is wrong in at least DE-German, it should be written "z. B." (with the space character in between), refer to f.e.:

https://www.duden.de/rechtschreibung/z__B_ (that's the official German dictionary, comparable with the Oxford English dictionary)

https://de.wiktionary.org/wiki/z._B.

http://www.neue-rechtschreibung.net/2009/12/22/bei-abkurzungen-leerzeichen-nicht-vergessen/

Please note that this "z.B problem" also affects other DE-German abbreviations, as you can see in the last link which I provided to you.

Note that I am using Linux Debian 9.6 ("Stretch"), the currently stable Debian release.
Comment 1 Dieter Praas 2019-01-28 20:13:54 UTC
(In reply to Jens Radloff from comment #0)
> So I am not able to define the abbreviation "z. B." (with the space
> character in between) in this list.

I confirm this, but I don't know, why you want to add this to the list. There is already the abbreviation B. part of the list. I think this is sufficient automatic correction after z. B. So for me NOTABUG
Comment 2 Jens Radloff 2019-01-28 20:27:14 UTC
(In reply to Dieter Praas from comment #1)
> I confirm this, but I don't know, why you want to add this to the list.
> There is already the abbreviation B. part of the list. I think this is
> sufficient automatic correction after z. B. So for me NOTABUG

Hi Dieter,

the problem is, if I type "z. B. ein" into an LO Writer document, this text string gets automatically corrected to "z. B. Ein" ("ein" with a capital letter), which is grammatically incorrect in German. So I need to correct "Ein" to "ein" afterwards.

Regards,

Jens
Comment 3 Dieter Praas 2019-01-28 20:33:29 UTC
(In reply to Jens Radloff from comment #2)
> Hi Dieter,
> 
> the problem is, if I type "z. B. ein" into an LO Writer document, this text
> string gets automatically corrected to "z. B. Ein" ("ein" with a capital
> letter), which is grammatically incorrect in German. So I need to correct
> "Ein" to "ein" afterwards.

I can't confirm this, because B. is within the list of exceptions. I'm not sure, bt perhaps I customized the list in that way. Please have a look. I agree, it should be part of the list by default. If it is not, we should make a proposal.
Comment 4 Jens Radloff 2019-01-28 20:50:50 UTC
(In reply to Dieter Praas from comment #3)
> I can't confirm this, because B. is within the list of exceptions. I'm not
> sure, bt perhaps I customized the list in that way. 

I do not have an abbreviation "B." in my list. I did not customize this list yet.

> I agree, it should be part of the list by default. If it is not, we should
> make a proposal.

I think one cannot except from an average DE-German user that, if confronted with the "z. B. Ein" - problem, he or she thinks "Then let me define an 'B.'-abbreviation" ;)
Comment 5 Dieter Praas 2019-01-28 21:07:10 UTC
(In reply to Jens Radloff from comment #4)
> (In reply to Dieter Praas from comment #3)
> I do not have an abbreviation "B." in my list. I did not customize this list
> yet.

That will be the solution.


So my proposal is to delete "z.B." from the list of exceptions and add "B." to that list. For reasoning see links in comment 0.

Jens, if you agree, please confirm it and change status to NEW
Comment 6 Jens Radloff 2019-01-29 04:50:38 UTC
(In reply to Dieter Praas from comment #5)
> (In reply to Jens Radloff from comment #4)
> > (In reply to Dieter Praas from comment #3)
> > I do not have an abbreviation "B." in my list. 
> > I did not customize this list yet.
> 
> That will be the solution.

This is only a workaround. I am a friend of usability. You cannot expect average user's to find out this workaround themselves (maybe they will find this bug issue here having searched the Internet for a longer time; if they do an Internet search at all). For average users, this behaviour is a bug.
 
> So my proposal is to delete "z.B." from the list of exceptions and add "B."
> to that list. For reasoning see links in comment 0.

My proposal to resolve this issue is to add all German abbreviations which contain a space character between their letters (like "z. B.", "d. h.", "i. A." and so on) to the internal German word list of LO. So that this list contains both versions of each of these abbreviations, one with a space character, one without the space character.

Because there are still a lot of people writing German abbrevations without that space character. Because they are not yet familiar with the respective German grammar rule, or they do not want to respect this rule.

> Jens, if you agree, please confirm it and change status to NEW

I would change this issue to NEW to get this issue hopefully resolved in a way which I described above, but I don't dare.
Comment 7 Dieter Praas 2019-01-29 08:17:44 UTC
> This is only a workaround.
I agree

> I am a friend of usability. You cannot expect
> average user's to find out this workaround themselves (maybe they will find
> this bug issue here having searched the Internet for a longer time; if they
> do an Internet search at all). For average users, this behaviour is a bug.

Jens, I just recognizued, that at least in LO 6.3.0.0 spaces are allowed in the list of abbreviations. So you can add "z. B.", but the problem is, that this is not be considered while typing. So that looks like a bug.
Comment 8 Jens Radloff 2019-01-29 11:16:33 UTC
(In reply to Dieter Praas from comment #7)
> > This is only a workaround.
> I agree

Ok.

> Jens, I just recognizued, that at least in LO 6.3.0.0 spaces are allowed in
> the list of abbreviations. So you can add "z. B.", but the problem is, that
> this is not be considered while typing. So that looks like a bug.

So what shall we do now with this bug issue here?

PS: I tried to locate version 6.3.0.0 at https://www.libreoffice.org/download/pre-releases/, but I can't identify this version there. If you want, I can install the LO packages or compile the source code of version 6.3.0.0 (on an extra machine) to have a look at that version, too.
Comment 9 Dieter Praas 2019-01-29 12:47:26 UTC
(In reply to Jens Radloff from comment #8)
> (In reply to Dieter Praas from comment #7)
> So what shall we do now with this bug issue here?

If you also can add "z. B." in 6.3.0.0 I would close this bug and open a new one

> 
> PS: I tried to locate version 6.3.0.0 at
> https://www.libreoffice.org/download/pre-releases/,

You find the master here: https://dev-builds.libreoffice.org/daily/master/ (parallel installation by default)
Comment 10 Jens Radloff 2019-01-29 17:45:21 UTC
(In reply to Dieter Praas from comment #9)
> (In reply to Jens Radloff from comment #8)
> > (In reply to Dieter Praas from comment #7)
> > So what shall we do now with this bug issue here?
> 
> If you also can add "z. B." in 6.3.0.0 I would close 
> this bug and open a new one.

I can add "z. B." to the list of the German abbreviations in the latest build of version 6.3.0.0, yes. And yes, if I then type "z. B ein" into a LO writer document of that LO version, then the word "ein" automatically gets changed to "Ein" (which is grammatically incorrect).

I wouldn't close this bug issue here, because there are a lot of German abbreviations wich contain a space character in between, like "d. h" or "i. A." or "u. a." and so on. It would be better if the Localization team could insert these abbreviations in the list of pre-defined German abbreviations.
 
> > PS: I tried to locate version 6.3.0.0 at
> > https://www.libreoffice.org/download/pre-releases/,
> 
> You find the master here: https://dev-builds.libreoffice.org/daily/master/
> (parallel installation by default)

Thanks, that helped me.
Comment 11 Dieter Praas 2019-01-29 19:43:01 UTC
I opened bug 123041. I close this bug as RESOLVED WORKSFORME, because at least in LO 6.3.0.0 it is possible to add abbreviatons with a space.
Comment 12 Jens Radloff 2019-02-01 05:18:06 UTC
For me this issue is still a bug, see my comment #10.